Steve's code was very helpful; thanks for the link, RK. 
Here's a simplified adaptation, that makes it easy to quickly switch between & setup new client standards:
Code:
(vl-load-com)
(defun c:SetClient1Catalog (/ folder)
(setq folder "X:\\Client1\\Pipes Catalog")
(_SetNetworkCatalog
(list
;; imperial pipes
(cons
"16C49365-B844-484b-92CE-9A8ACE681B57" ;<-- this guid could change in future versions
(strcat folder
"\\US Imperial Structures\\US Imperial Pipes.apc"
)
)
;; imperial structures
(cons
"DCE203A2-D381-466f-A23E-08A9D9F8FDBD" ;<-- this guid could change in future versions
(strcat
folder
"\\US Imperial Structures\\US Imperial Structures.apc"
)
)
;; metric pipes
(cons
"F670B5B9-DA12-476d-B461-4FB5C5650A82" ;<-- this guid could change in future versions
(strcat folder "\\Metric Pipes\\Metric Pipes.apc")
)
;; metric structures
(cons
"F1FEBE2D-D589-4f85-BF8E-650ED06A5EA5" ;<-- this guid could change in future versions
(strcat
folder
"\\Metric Structures.apc\\Metric Structures.apc"
)
)
;; shared content
(cons
"SharedContentPath"
(strcat folder "\\Aecc Shared Content")
)
)
)
(princ)
)
;;;--------------------------------------------------------------------;
(defun c:SetDefaultCatalog (/ folder)
(setq folder "C:\\ProgramData\\Autodesk\\C3D 2019\\enu\\Pipes Catalog")
(_SetNetworkCatalog
(list
;; imperial pipes
(cons
"16C49365-B844-484b-92CE-9A8ACE681B57" ;<-- this guid could change in future versions
(strcat folder
"\\US Imperial Structures\\US Imperial Pipes.apc"
)
)
;; imperial structures
(cons
"DCE203A2-D381-466f-A23E-08A9D9F8FDBD" ;<-- this guid could change in future versions
(strcat
folder
"\\US Imperial Structures\\US Imperial Structures.apc"
)
)
;; metric pipes
(cons
"F670B5B9-DA12-476d-B461-4FB5C5650A82" ;<-- this guid could change in future versions
(strcat folder "\\Metric Pipes\\Metric Pipes.apc")
)
;; metric structures
(cons
"F1FEBE2D-D589-4f85-BF8E-650ED06A5EA5" ;<-- this guid could change in future versions
(strcat
folder
"\\Metric Structures.apc\\Metric Structures.apc"
)
)
;; shared content
(cons
"SharedContentPath"
(strcat folder "\\Aecc Shared Content")
)
)
)
(princ)
)
;;;--------------------------------------------------------------------;
(defun _SetNetworkCatalog (catalog / reg key val)
(foreach x (vl-registry-descendents
(setq reg
(strcat
"HKEY_CURRENT_USER\\"
(if vlax-user-product-key ; If 2013+
(vlax-user-product-key) ; Use 2013 function
(vlax-product-key) ; Use legacy function
)
"\\Profiles\\"
(getvar 'cprofile)
"\\Preferences"
)
)
)
(if (vl-string-search "AeccUiNetwork" x)
(foreach item catalog
(setq val (car item))
(if (vl-registry-read (setq key (strcat reg "\\" x)) val)
(vl-registry-write key val (cdr item))
)
)
)
)
)
(princ)
Cheers